
Redmine - Patch #29305

Use Hash#each_key instead of Hash#keys.each

2018-07-31 23:54 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 4.0.0   

Description

Hash#each_key is faster than Hash#keys.each because it does not allocate a new array when iterating keys. See 

https://github.com/JuanitoFatas/fast-ruby#hasheach_key-instead-of-hashkeyseach-code for details.

Associated revisions

Revision 17458 - 2018-08-01 16:28 - Go MAEDA

Replace Hash#keys.each with faster Hash#each_key (#29305).

Patch by Go MAEDA.

History

#1 - 2018-08-01 03:15 - Go MAEDA

- Target version set to 4.1.0

#2 - 2018-08-01 16:33 - Go MAEDA

- Status changed from New to Closed

- Target version changed from 4.1.0 to 4.0.0

Committed.

#3 - 2018-09-16 00:16 - Go MAEDA

- Assignee set to Go MAEDA

Files

replace-each-with-each_key.diff 2.68 KB 2018-07-31 Go MAEDA
